import request from '../../utils/request'

/**
 * 新增修改学员预约配置
 */
export function SetPlanAppointmentConfig(data) {
  return request({
    url: '/PlanAppoiment/SetPlanAppointmentConfig',
    method: 'post',
    data
  });
}

/**
 * 获取学员预约配置
 */
export function PlanAppointmentConfig(data) {
  return request({
    url: '/PlanAppoiment/PlanAppointmentConfig',
    method: 'post',
    data
  });
}

/**
 * 修改学员上课方式
 */
 export function SetGuestCheckStyle(data) {
  return request({
    url: '/ScheduleCourse/SetGuestCheckStyle',
    method: 'post',
    data
  });
}

/**
 * 获取学员出勤情况
 */
export function getStudentAttendanceDayStatistics(data) {
  return request({
    url: '/ScheduleCourse/GetAppointCheckPage',
    method: 'post',
    data
  });
}

export function getTodayClue(data) {
  return request({
    url: '/UserCenter/GetTodayClue',
    method: 'post',
    data
  });
}
export function getTodayConnect(data) {
  return request({
    url: '/UserCenter/GetTodayConnect',
    method: 'post',
    data
  });
}

export function getMyClue(data) {
  return request({
    url: '/UserCenter/MyClue',
    method: 'post',
    data
  });
}

export function getMyStudent(data) {
  return request({
    url: '/UserCenter/MyStudent',
    method: 'post',
    data
  });
}

export function getTodayFollow(data) {
  return request({
    url: '/UserCenter/TodayFollow',
    method: 'post',
    data
  });
}
export function getGraduateStudent(data) {
  return request({
    url: '/UserCenter/GraduateStudent',
    method: 'post',
    data
  });
}
export function getMyOrderNotReceiveContract(data) {
  return request({
    url: '/UserCenter/MyOrderNotReceiveContract',
    method: 'post',
    data
  });
}
export function getMyOrderNotBalance(data) {
  return request({
    url: '/UserCenter/MyOrderNotBalance',
    method: 'post',
    data
  });
}

export function getTodayStatic(data) {
  return request({
    url: '/UserCenter/GetTodayStatic',
    method: 'post',
    data
  });
}

export function getTodayVisitList(data) {
  return request({
    url: '/DutyPlan/GetDutyTodayVisit',
    method: 'post',
    data
  });
}

//学管 获取访客列表
export function getVisitorAllPageList(data) {
  return request({
    url: '/DutyPlan/GetVisitorAllPageList',
    method: 'post',
    data
  })
}

//学管 获取学员名单分页
export function getStuList(data) {
  return request({
    url: '/Stu/GetAllStudentPage',
    method: 'post',
    data
  })
}

//学管 获取预警枚举
export function getEarlyWarningEnum(data) {
  return request({
    url: '/Stu/GetGuestClassHoursEarlyWarningEnumList',
    method: 'post',
    data
  })
}

//学管 获取类型枚举
export function getTypeEnum(data) {
  return request({
    url: '/Stu/GetOrderJoinTypeEnumEnumList',
    method: 'post',
    data
  })
}

//学管 添加事件
export function addEvent(data) {
  return request({
    url: '/Stu/GetSetStudentEventLog',
    method: 'post',
    data
  })
}

//学管 获取可补课课时，缺勤次数，请假次数分页信息
export function getClassCheckPageList(data) {
  return request({
    url: '/Stu/GetClassCheckPageList',
    method: 'post',
    data
  })
}
//学管 获取事件记录分页信息
export function getEventLogPageList(data) {
  return request({
    url: '/Stu/GetStudentEventLogPageList',
    method: 'post',
    data
  })
}
// 设置学生跳课
export function setGuestStartChapter(data) {
  return request({
    url: '/Scroll/SetGuestStartChapter',
    method: 'post',
    data
  })
}

// 获取咖啡劵订单分页列表
export function getCoffeeOrderList(data) {
  return request({
    url: '/EudGoods/GetGoodsOrderPageList',
    method: 'post',
    data
  })
}

/**
 * 学员约课统计
 */
export function queryPlanAppointmentStatic(data) {
  return request({
    url: '/PlanAppoiment/GetPlanAppointmentStatic',
    method: 'post',
    data
  });
}

/**
 * 新增修改学员预约
 */
export function savePlanAppointment(data) {
  return request({
    url: '/PlanAppoiment/SetPlanAppointment',
    method: 'post',
    data
  });
}

/**
 * 获取预约时间段
 */
export function queryGetTimeList(data) {
  return request({
    url: '/PlanAppoiment/GetTimeList',
    method: 'post',
    data
  });
}

/**
 * 取消学员预约
 */
export function deletePlanAppointment(data) {
  return request({
    url: '/PlanAppoiment/RemovePlanAppointment',
    method: 'post',
    data
  });
}

/**
 * 获取预约详情列表
 */
export function queryPlanAppointmentDetail(data) {
  return request({
    url: '/PlanAppoiment/GetPlanAppointmentDetail',
    method: 'post',
    data
  });
}

/**
 * 获取学员课消列表
 */
export function queryStuLearnChapterStatic(data) {
  return request({
    url: '/Scroll/GetStuLearnChapterStatic',
    method: 'post',
    data
  });
}
